extractvectors(1)

NAME
extractvectors - Vector Extraction Tool for OMNeT++ Vector Files

SYNOPSIS
extractvectors [input_file] [output_file] [[!]vector_name_prefix] [...]
[-c level | --compress level]
[-s separator | --separator separator]
[-l | --line-numbers | -n | --no-line-numbers]
[-p | --split | -a | --no-split]
[-q | --quiet]
extractvectors [-h | --help]
extractvectors [-v | --version]

DESCRIPTION
extractvectors is an extraction tool for vectors written by OMNeT++ to a data table. ExtractVectors supports on-the-fly BZip2 decompression and compression.

ARGUMENTS
The following arguments may be provided:

[input_file]
    The name of the input vector file.

[output_file]
    The name of the output data table to be created.

[[!]vector_name_prefix]
    Name prefix of vectors to be extracted. Multiple vector name prefixes may be specified. If no name prefix is given, all vectors will be extracted. A "!" in front of the name turns vector splitting for this prefix on (see --split option below).

-c level | --compress level
    Sets the BZip2 compression level; 1=none, 9=highest (default).

-s separator | --separator separator
    Sets the separator for the tables. Default: tabulator character (i.e. $' ').

-l | --line-numbers
    Add line numbers into the output table files, as usual for GNU R.

-n | --no-line-numbers
    Do not add line numbers into the output table files, as usual for CSV (default).

-p | --split
    Try to split the vector name ending in a number into the name part as well as the number. A vector output table is then generated for the name part, with the corresponding number in table column "Split". Example: Vectors "Throughput 1", ..., "Throughput 9" will be written into output table as vector column "Throughput", the number will be in table column "Split". --split is a global option and applies to all vector name prefixes provided. To use vector name splitting for just a single prefix, prepend the prefix with "!".

-a | --no-split
    Turns vector splitting off (default).

-q | --quiet
    Do not print verbose status information.

-h | --help
    Prints command help.

-v | --version
    Prints program version.

EXIT STATUS
The extractvectors tool exits with 0 on success, and >0 in case of an error.

EXAMPLE
Consider an OMNeT++ vector file containing the vectors "Slow Start Threshold <assoc>:<path>" and "Congestion Window <assoc>:<path>", contained with a lot of other vectors in the BZip2-compressed vector file results.vec.bz2. ExtractVectors can be used to extract all vectors beginning with "Slow Start Threshold" or "Congestion Window" into a BZip2-compressed data table results.data.bz2 by the following command:
extractvectors results.vec.bz2 results.data.bz2 \ "Slow Start Threshold" \ "Congestion Window"
For each vector entry, an output line containing time (Time), event number (Event), object name (Object), vector name (Vector), name split parameter (Split), and the vector value (Value) will be created.
Example:
Time Event Object Vector Split Value
0.003672 174 "net.client[0].sctp" "Slow Start Threshold 2:Total" "" 10000000
0.003672 174 "net.client[0].sctp" "Slow Start Threshold 2:Total" "" 10000000
0.003672 174 "net.client[0].sctp" "Congestion Window 2:Total" "" 4380
0.003672 174 "net.client[0].sctp" "Congestion Window 2:Total" "" 8760
0.003913 238 "net.server[0].sctp" "Slow Start Threshold 4:Total" "" 10000000
0.003913 238 "net.server[0].sctp" "Slow Start Threshold 4:Total" "" 10000000
0.003913 238 "net.server[0].sctp" "Congestion Window 4:Total" "" 3000
0.003913 238 "net.server[0].sctp" "Congestion Window 4:Total" "" 6000

SEE ALSO
extractvectors(1)

NOTES
This program is part of NetPerfMeter. The latest version of NetPerfMeter can be found on the NetPerfMeter Homepage at NetPerfMeter Homepage: https://www.nntb.no/~dreibh/netperfmeter/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh